Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class StatusRequest

    java.lang.Object
      |
      +--org.openspml.message.SpmlRequest
            |
            +--org.openspml.message.StatusRequest

public class StatusRequest
extends SpmlRequest
implements Constants

A class representing a `statusRequest` message.

Field Summary
`static java.lang.String` | `ELEMENT`
`static java.lang.String` | `RETURN_RESULT`
`static java.lang.String` | `RETURN_STATUS`

Fields inherited from class org.openspml.message.SpmlRequest
`EXEC_ASYNCHRONOUS, EXEC_SYNCHRONOUS`

Fields inherited from interface org.openspml.message.Constants
`ACTION_PREFIX, ENUM_PREFIX`

Constructor Summary
`StatusRequest()`
`StatusRequest(XmlElement e)`

Method Summary
`SpmlResponse` | `createResponse()` Build an empty SpmlRequest object that corresponds to this request.
`java.lang.String` | `getElementName()` Return the tag name for the request element.
`boolean` | `isReturnResult()`
`void` | `setReturnResult(boolean b)`

Methods inherited from class org.openspml.message.SpmlRequest
`dumpFile, getIdentifier, getIdentifierString, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, isAsynchronous, parseRequest, parseRequest, setAsynchronous, setIdentifier, setIdentifier, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setRequestId, toXml, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT

    public static final java.lang.String ELEMENT

### RETURN_STATUS

    public static final java.lang.String RETURN_STATUS

### RETURN_RESULT

    public static final java.lang.String RETURN_RESULT

Constructor Detail

### StatusRequest

    public StatusRequest()

### StatusRequest

    public StatusRequest(XmlElement e)

Method Detail

### setReturnResult

    public void setReturnResult(boolean b)

### createResponse

    public SpmlResponse createResponse()

  Description copied from class: SpmlRequest
  Build an empty SpmlRequest object that corresponds to this request. Used in a few error conditions to return the expected response object when one was not actually sent back from the server.
  Overrides:
    createResponse in class SpmlRequest

### isReturnResult

    public boolean isReturnResult()

### getElementName

    public java.lang.String getElementName()

  Description copied from class: SpmlRequest
  Return the tag name for the request element.
  Overrides:
    getElementName in class SpmlRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD